For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • GETList Senders
      • GETFetch a Sender
      • POSTSearch Senders
      • POSTResolve Senders
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferenceSenders

List Senders

GET
https://comms.twilio.com/v1/Senders
GET
/v1/Senders
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.senders.list({});
9}
10main();
1{
2 "senders": [
3 {
4 "id": "comms_sender_01h9krwprkeee8fzqspvwy6nq8",
5 "displayName": "Cool Support",
6 "address": "support@example.com",
7 "channel": "EMAIL",
8 "status": "ACTIVATED",
9 "tags": {},
10 "updatedAt": "2023-09-13T12:00:24Z",
11 "createdAt": "2022-08-24T14:15:22Z"
12 },
13 {
14 "id": "comms_sender_01h9krwprkeee8fzqspvwy6nq8",
15 "displayName": "Cool Support",
16 "address": "+14153902337",
17 "channel": "SMS",
18 "status": "ACTIVATED",
19 "tags": {},
20 "updatedAt": "2023-09-13T12:00:24Z",
21 "createdAt": "2022-08-24T14:15:22Z"
22 },
23 {
24 "id": "comms_sender_01h9krwprkeee8fzqspvwy6nq8",
25 "displayName": "Cool Support",
26 "address": "coolsupport_x12gb_sender",
27 "channel": "RCS",
28 "status": "ACTIVATED",
29 "tags": {},
30 "updatedAt": "2023-09-13T12:00:24Z",
31 "createdAt": "2022-08-24T14:15:22Z"
32 }
33 ],
34 "pagination": {
35 "next": null,
36 "self": "eyJTSyI6IkEjMDFqbmVoYm5xYWZmNDlrazUxZHA1bmN5bXciLCJTSzEiOiJBI2FjdGl2YXRlZCMyMDI1LTAzLTAzVDE3OjM3OjQ3WiMwMWpuZWhibnFhZmY0OWtrNTFkcDVuY3ltdyIsIlBLIjoiQyNBQzYwMzg4ODJiZDY5ZWIyNGM4YzU4ZGI5NjE4NjE3OTE4I0EifQ=="
37 }
38}
This operation fetches a paginated list of Senders.
Was this page helpful?
Previous

Fetch a Sender

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Query parameters

channelenumOptional
Filter to Senders that match a specific channel.
Allowed values:
statusenumOptional
Filter to Senders with the specified status.
Allowed values:
startDatestringOptionalformat: "date-time"
Filter to Senders created after the specified date and time in ISO 8601 format.
endDatestringOptionalformat: "date-time"
Filter to Senders created before the specified date and time in ISO 8601 format.
pageTokenstringOptional
A page token that represents the start sender of a page
pageSizeintegerOptional1-1000Defaults to 50
Total number of items returned in a single page, the minimum is 1 and maximum is 1000. Default is 50.

Response

OK
senderslist of objects
A list of Senders
paginationobject

Metadata for paginated results. This object contains two tokens to navigate through paginated results.

  • Use next to retrieve the ‘next’ page in the result list.
  • Use self to retrieve the same page of the result list again.
  • Supply the token in the pageToken query param.

Errors

400
Bad Request Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error